<?php
namespace Teknisa\PLA\Modules\Parametros\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;

class Pla15300CategoriaEmbalagens extends \Teknisa\GER\Controllers\TeknisaCrud{
    protected $crudService;
    protected $parameterBag;
    protected $util;
    protected $dataSourceManager;
    protected $dataSourceName;
    
   public function __construct($crudService, $parameterBag, $util, $dataSourceManager) {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->util = $util;
        $this->dataSourceManager = $dataSourceManager;
    }
	
	public function saveEmbalagem(DTO\Request $request, DTO\Response $response){
	    try {
            $this->dataSourceName = "catembalag";
            $row = $request->getDataSet()->getRows()[0];
            
            if ($row["__is_new"]) {
                $this->util->validateDuplicatedRecords($row, $this->dataSourceName, array("CDCATEMBALAG"));
            }

            parent::save($request, $response);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
	}
	
}